ImageDriver Class Reference
Inheritance diagram for ImageDriver:
[legend]
Collaboration diagram for ImageDriver:
[legend]

## Public Member Functions

## Public Attributes

## Private Member Functions

## Detailed Description

Definition at line 43 of file interfaces.py.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | dut
| ) |  |

Definition at line 45 of file interfaces.py.

## Member Function Documentation

def _driver_send | ( |  | self,
|  |  | image,
|  |  | kwargs
| ) |  |

private

    Send an image into the DUT.  Image should be in RGB format and a
    multiple of 8 pixels in both width and height

    Args:

        image (PIL.Image)   image to send into the dut

Definition at line 50 of file interfaces.py.

References JpegMonitor.dut, and ImageDriver.dut.

## Member Data Documentation

dut

Definition at line 46 of file interfaces.py.

Referenced by ImageDriver._driver_send().

The documentation for this Module class was generated from the following file:

- cocotb/interfaces.py